;=======================================================================
;	BANK select unit for PIC16X family microcontrollers
;	Features: Handle max. four BANK in two bit
;	Written by: Zoltan Topor
;	http://www.hobbielektronika.hu/
;	Last update: 
;=======================================================================

BANK0	macro			; Select register BANK 0
	bcf     STATUS,RP0
	bcf     STATUS,RP1
	endm
	
BANK1	macro			; Select register BANK 1
	bsf     STATUS,RP0
	bcf     STATUS,RP1
	endm

BANK2	macro			; Select register BANK 2
	bcf     STATUS,RP0
	bsf     STATUS,RP1
	endm

BANK3	macro			; Select register BANK 3
	bsf     STATUS,RP0
	bsf     STATUS,RP1
	endm
