 LIST P=16F877
 #INCLUDE "P16F877.INC"
 ERRORLEVEL	0,	-302		; suppress bank selection messages
 __CONFIG _XT_OSC&_CP_OFF&_WDT_ON&_LVP_OFF
	CBLOCK	0x20			;A GPR, egy szabad memria rsz kezd cme
	ENDC

#include "m_bank.asm"

	ORG	0
	GOTO	MAIN			;Beugrunk a MAIN loopba

MAIN
	BANK1					;Unit az m_bank.asm-ben
	;PORTA Digitlis I/O-v ttel
	MOVLW	0x06			
	MOVWF	ADCON1			;Mindegyik PORTA digitlis

	MOVLW	B'00011111'		;Betltjk az akksiba a TRISA-ba irandt
	MOVWF	TRISA			;Belltjuk a PORTA-t bemenetre (berjuk a TRISA-ba)
	MOVLW	B'00000000'		;Betltjk az akksiba a TRISD-be valt
	MOVWF	TRISD			;Beletltjk (mind kimenet a nulla miatt)

	MOVLW	B'00001111'		;Betltjk az akksiba az OPTION_REG-be valt
	MOVWF	OPTION_REG		;Beletltjk... WDT Eloszt: 1:128
	BANK0					;BANK0-ba visszalpnk

	MOVLW	B'01010101'		;Betltjk az akksiba a PORTD-be valt
	MOVWF	PORTD			;Beletltjk a PORTD-be

LOOP
	BTFSS	PORTA,1			;Skip ha fel van engedve a gombic
	CALL	PORTD_BE		;Meghvjuk a LEDvltst

	BTFSS	PORTA,0			;Skip ha fel van engedve a gombic
	GOTO	$-1				;Gombnyomssal vgtelen ciklust indtunk
	CLRWDT					;Trljk a WDT-t
	GOTO LOOP				;Vissza a vgtelen ciklusba

PORTD_BE
	MOVLW	B'11111111'
	MOVWF	PORTD
	RETURN

 	END							;Teljes program vgt jelent END